<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [FrameManager](./puppeteer.framemanager.md) &gt; [\_onFrameNavigatedWithinDocument](./puppeteer.framemanager._onframenavigatedwithindocument.md)

## FrameManager.\_onFrameNavigatedWithinDocument() method

<b>Signature:</b>

```typescript
_onFrameNavigatedWithinDocument(frameId: string, url: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  frameId | string |  |
|  url | string |  |

<b>Returns:</b>

void

